Package org.jbpm.process.core.timer.impl

## Class ThreadPoolSchedulerService.GlobalJDKJobHandle

- java.lang.Object
- - org.drools.core.time.impl.AbstractJobHandle
  - - org.drools.core.time.impl.DefaultJobHandle
    - - org.jbpm.process.core.timer.impl.GlobalTimerService.GlobalJobHandle
      - - org.jbpm.process.core.timer.impl.ThreadPoolSchedulerService.GlobalJDKJobHandle

- All Implemented Interfaces:
    `Serializable`, `org.drools.core.time.JobHandle`, `org.drools.core.util.Entry<org.drools.core.time.JobHandle>`, `org.drools.core.util.LinkedListNode<org.drools.core.time.JobHandle>`
  Enclosing class:
    ThreadPoolSchedulerService

      public static class ThreadPoolSchedulerService.GlobalJDKJobHandle
      extends GlobalTimerService.GlobalJobHandle
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlobalJDKJobHandle​(long id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ScheduledFuture<Void>` | `getFuture()` |
    `void` | `setFuture​(ScheduledFuture<Void> future)` |

    - ### Methods inherited from class org.jbpm.process.core.timer.impl.GlobalTimerService.GlobalJobHandle

      `getSessionId, getTimerId`

    - ### Methods inherited from class org.drools.core.time.impl.DefaultJobHandle

      `equals, getId, getJob, getTimerJobInstance, hashCode, isCancel, setCancel, setTimerJobInstance, toString`

    - ### Methods inherited from class org.drools.core.time.impl.AbstractJobHandle

      `getNext, getPrevious, nullPrevNext, setNext, setPrevious`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.util.Entry

      `getNext, setNext`

    - ### Methods inherited from interface org.drools.core.time.JobHandle

      `getId, isCancel, setCancel`

    - ### Methods inherited from interface org.drools.core.util.LinkedListNode

      `getPrevious, nullPrevNext, setPrevious`

- - ### Constructor Detail

    - #### GlobalJDKJobHandle

          public GlobalJDKJobHandle​(long id)

  - ### Method Detail

    - #### getFuture

          public ScheduledFuture<Void> getFuture()

    - #### setFuture

          public void setFuture​(ScheduledFuture<Void> future)